# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# grep uuid metadata.json |cut -f2 -d: |sed -e 's![" ,]*!!g'
%global uuid hibernate-status@dromi

Name:           gnome-shell-extension-hibernate-status
Version:        1.2
Epoch:          1
Release:        alt1_2
Summary:        A gnome-shell extension for hibernation

Group:          Graphical desktop/GNOME 
License:        GPLv3+
URL:            https://github.com/arelange/gnome-shell-extension-hibernate-status
# git clone https://github.com/arelange/gnome-shell-extension-hibernate-status.git
# tar cfz gnome-shell-extension-hibernate-status{.tar.xz,}
#Source0:        %{name}.tar.xz
Source0:        https://github.com/arelange/gnome-shell-extension-hibernate-status/archive/v%{version}.tar.gz
Patch0:         version-support.diff
BuildArch:      noarch

Requires:       gnome-shell gnome-shell-data
Source44: import.info

%description
This simple extension adds an hibernate button to the GNOME right menu.

%prep
%setup -q
%patch0 -p0

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/%uuid
cp -a [^L]* %{buildroot}/%{_datadir}/gnome-shell/extensions/%uuid

%files
%doc --no-dereference LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}/



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1:1.2-alt1_2
- update by mgaimport

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 1:1.2-alt1_1
- new version

